Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 713460 - sys-kernel/gentoo-sources-5.5.9: undefined reference to `efi_mem_type'
Summary: sys-kernel/gentoo-sources-5.5.9: undefined reference to `efi_mem_type'
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Kernel Bug Wranglers and Kernel Maintainers
URL:
Whiteboard: gentoo-sources-5.5.11
Keywords: InVCS
Depends on:
Blocks:
 
Reported: 2020-03-19 12:51 UTC by Phil Stracchino (Unix Ronin)
Modified: 2020-03-28 06:56 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Phil Stracchino (Unix Ronin) 2020-03-19 12:51:36 UTC
Kernel 5.5.9 threw the following link failure on one out of three machines:

[...]
  CC      drivers/usb/core/usb-acpi.o
  CC      drivers/video/fbdev/core/sysfillrect.o
  CC      drivers/video/fbdev/core/syscopyarea.o
  CC      drivers/video/fbdev/core/sysimgblt.o
  CC      drivers/video/fbdev/core/fb_sys_fops.o
  CC      drivers/scsi/sd.o
  CC      drivers/scsi/sr.o
  CC      drivers/scsi/sr_ioctl.o
  AR      drivers/usb/host/built-in.a
  CC      drivers/scsi/sr_vendor.o
  CC      drivers/scsi/sg.o
  CC      drivers/scsi/scsi_sysfs.o
  AR      drivers/usb/core/built-in.a
  AR      drivers/usb/built-in.a
  AR      drivers/video/fbdev/core/built-in.a
  AR      drivers/video/fbdev/built-in.a
  AR      drivers/video/built-in.a
  AR      drivers/scsi/built-in.a
  AR      drivers/built-in.a
  GEN     .version
  CHK     include/generated/compile.h
  LD      vmlinux.o
  MODPOST vmlinux.o
  MODINFO modules.builtin.modinfo
  LD      .tmp_vmlinux1
ld: arch/x86/mm/ioremap.o: in function `__ioremap_caller':
ioremap.c:(.text+0x3a6): undefined reference to `efi_mem_type'
make: *** [Makefile:1078: vmlinux] Error 1



The other two machines, which have a different hardware architecture from this one, built perfectly.

I find the following possibly-relevant config settings:

# CONFIG_EFI is not set
CONFIG_DMI_SCAN_MACHINE_NON_EFI_FALLBACK=y
CONFIG_UEFI_CPER=y
CONFIG_UEFI_CPER_X86=y
CONFIG_EFI_EARLYCON=y
CONFIG_EFI_PARTITION=y
Comment 1 Brian Evans Gentoo Infrastructure gentoo-dev 2020-03-19 16:05:57 UTC
Reported upstream at https://lkml.org/lkml/2020/3/16/776
Patch at https://lkml.org/lkml/diff/2020/3/18/809/1
Comment 2 Phil Stracchino (Unix Ronin) 2020-03-19 17:34:37 UTC
(In reply to Brian Evans from comment #1)
> Reported upstream at https://lkml.org/lkml/2020/3/16/776
> Patch at https://lkml.org/lkml/diff/2020/3/18/809/1

I confirm upstream patch works for me.
Comment 3 Mike Pagano gentoo-dev 2020-03-19 23:23:19 UTC
Thanks for posting the link to the patch.
This will be in the next release of gentoo-sources. (5.5.11)
Comment 4 Mike Pagano gentoo-dev 2020-03-21 20:22:57 UTC
5.5.11 released

commit ec737266d1761c7432af2d04d1fc38a60990ea02
Author: Mike Pagano <mpagano@gentoo.org>
Date:   Thu Mar 19 19:21:27 2020 -0400

    x86/ioremap: Fix CONFIG_EFI=n build. See bug #713460.
    Thanks to Phil Stracchino.
    
    Signed-off-by: Mike Pagano <mpagano@gentoo.org>